Package org.eclipse.draw2d

# Interface Bendpoint

All Known Implementing Classes:
  `AbsoluteBendpoint`, `RelativeBendpoint`

public interface Bendpoint
A helper used to calculate the point at which a `Connection` should bend. A bendpoint returns a point relative to the connection figure on which it is being used. This was chosen so that fixed bendpoints would be easy to implement. A fixed bendpoint will have a fixed x and y value. Although the absolute x and y location change during zoom and scrolling, the relative values stay the same.

## Method Summary

Modifier and Type
Method
Description
`Point`
`getLocation()`
Returns the location of the bendpoint relative to the connection.

## Method Details

### getLocation

Point getLocation()
Returns the location of the bendpoint relative to the connection. The returned value may be by reference. The caller should NOT modify the returned value.

Returns:
  the location of the bendpoint relative to the Connection